GET

Get domain

https://linkshift.app/api/v1/domains/{id}

Returns one domain by ID when it belongs to the authenticated organization.

Operation ID:getDomainTags: Domains

Security

  • ApiKeyAuth: apiKey | header:X-API-Key | API key generated in LinkShift dashboard (`Organization -> Manage API keys`).

Parameters

Path parameters

idrequired
Type: stringDescription: Resource identifier.

Request body schema

No request body schema.

Response schema

Domain details

Content type: application/json
response 200objectrequired
Domain entity assigned to a domain group.
createdAtstringrequired
Creation timestamp (UTC).
format: date-time
deletedAtstring | nullnullable
Soft-delete timestamp in UTC when deleted.
format: date-time
domainGroupIdstringrequired
Parent domain-group ID.
idstringrequired
Domain ID.
namestringrequired
Fully qualified domain name.
updatedAtstringrequired
Last update timestamp (UTC).
format: date-time